Upstream information

CVE-2014-4288 at MITRE

Description

Unspecified vulnerability in Oracle Java SE 6u81, 7u67, and 8u20 allows remote attackers to affect confidentiality, integrity, and availability via unknown vectors related to Deployment, a different vulnerability than CVE-2014-6493, CVE-2014-6503, and CVE-2014-6532.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.6 10
Vector AV:N/AC:H/Au:N/C:C/I:C/A:C AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network Network
Access Complexity High Low
Authentication None None
Confidentiality Impact Complete Complete
Integrity Impact Complete Complete
Availability Impact Complete Complete
SUSE Bugzilla entries: 901239 [RESOLVED], 901242 [RESOLVED / FIXED], 901246 [RESOLVED], 904889 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • java-1_7_0-openjdk >= 1.7.0.71-0.7.1
  • java-1_7_0-openjdk-demo >= 1.7.0.71-0.7.1
  • java-1_7_0-openjdk-devel >= 1.7.0.71-0.7.1
Patchnames:
sledsp3-java-1_7_0-openjdk
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • java-1_7_1-ibm >= 1.7.1_sr4.50-38.41.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.50-38.41.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.50-38.41.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.50-38.41.1
  • java-1_8_0-ibm >= 1.8.0_sr5.40-30.54.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.40-30.54.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.40-30.54.1
SUSE Linux Enterprise Module for Legacy 12
  • java-1_6_0-ibm >= 1.6.0_sr16.2-8.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.2-8.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.2-8.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.2-8.1
Patchnames:
SUSE-SLE-Module-Legacy-12-2014-93
SUSE Linux Enterprise Module for Legacy 15 SP1
  • java-1_8_0-ibm >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-3.16.2
SUSE Linux Enterprise Module for Legacy 15 SP2
  • java-1_8_0-ibm >= 1.8.0_sr6.5-3.33.2
  • java-1_8_0-ibm-alsa >= 1.8.0_sr6.5-3.33.2
  • java-1_8_0-ibm-devel >= 1.8.0_sr6.5-3.33.2
  • java-1_8_0-ibm-plugin >= 1.8.0_sr6.5-3.33.2
SUSE Linux Enterprise Module for Legacy 15
  • java-1_8_0-ibm >= 1.8.0_sr5.11-1.5
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.11-1.5
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.11-1.5
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.11-1.5
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
SUSE Linux Enterprise Server for VMWare 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.2-0.3.1
  • java-1_7_0-ibm >= 1.7.0_sr8.0-0.5.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr8.0-0.5.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr8.0-0.5.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr8.0-0.5.1
Patchnames:
slessp3-java-1_6_0-ibm
slessp3-java-1_7_0-ibm
SUSE Linux Enterprise Server 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr3.0-1.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr3.0-1.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr3.0-1.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr3.0-1.1
SUSE Linux Enterprise Server 12 SP1
  • java-1_7_1-ibm >= 1.7.1_sr3.10-14.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr3.10-14.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr3.10-14.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr3.10-14.1
  • java-1_8_0-ibm >= 1.8.0_sr1.10-2.36
  • java-1_8_0-ibm-alsa >= 1.8.0_sr1.10-2.36
  • java-1_8_0-ibm-plugin >= 1.8.0_sr1.10-2.36
SUSE Linux Enterprise Server 12 SP2
  • java-1_7_1-ibm >= 1.7.1_sr3.50-28.2
  • java-1_7_1-ibm-alsa >= 1.7.1_sr3.50-28.2
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr3.50-28.2
  • java-1_7_1-ibm-plugin >= 1.7.1_sr3.50-28.2
  • java-1_8_0-ibm >= 1.8.0_sr3.0-10.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr3.0-10.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr3.0-10.1
SUSE Linux Enterprise Server 12 SP3
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.5-29.1
SUSE Linux Enterprise Server 12 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • java-1_7_1-ibm >= 1.7.1_sr2.0-4.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr2.0-4.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr2.0-4.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr2.0-4.1
Patchnames:
SUSE-SLE-SERVER-12-2014-95
SUSE Linux Enterprise Software Development Kit 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.2-0.3.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr8.0-0.5.1
Patchnames:
sdksp3-java-1_6_0-ibm
sdksp3-java-1_7_0-ibm
SUSE Linux Enterprise Software Development Kit 11 SP4
  • java-1_7_1-ibm-devel >= 1.7.1_sr3.0-1.1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • java-1_7_1-ibm-devel >= 1.7.1_sr3.10-14.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr1.10-2.36
SUSE Linux Enterprise Software Development Kit 12 SP2
  • java-1_7_1-ibm-devel >= 1.7.1_sr3.50-28.2
  • java-1_8_0-ibm-devel >= 1.8.0_sr3.0-10.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.5-29.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.50-38.41.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.40-30.54.1
SUSE Linux Enterprise Software Development Kit 12
  • java-1_7_1-ibm >= 1.7.1_sr2.0-4.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr2.0-4.1
Patchnames:
SUSE-SLE-SDK-12-2014-95
SUSE Manager 1.7
  • java-1_6_0-ibm >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-devel >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr16.2-0.3.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr16.2-0.3.1
Patchnames:
sleman17sp2-java-1_6_0-ibm


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 openwsman Released
SUSE Linux Enterprise Desktop 11 SP3 openwsman Released
SUSE Linux Enterprise High Performance Computing 12 SP5 java-1_7_1-ibm Released
SUSE Linux Enterprise Server 11 SP1 openwsman Released
SUSE Linux Enterprise Server 11 SP1 LTSS openwsman Released
SUSE Linux Enterprise Server 11 SP3 openwsman Released
SUSE Linux Enterprise Server 11 SP3 for VMware openwsman Released
SUSE Linux Enterprise Server 12 SP5 java-1_7_1-ibm Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 java-1_7_1-ibm Released
SUSE Linux Enterprise Server for SAP Business All-in-One openwsman Released
SUSE Linux Enterprise Software Development Kit 11 SP1 openwsman Released
SUSE Linux Enterprise Software Development Kit 11 SP3 openwsman Released